Bug 865480 - Several network interface
Several network interface
Status: ASSIGNED
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
2.2
All Linux
medium Severity medium
: 2.5
: ---
Assigned To: mmurray
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 10:40 EDT by gautric
Modified: 2015-08-09 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.6 Build Filter: null Build Name: Build Date: 20-09-2012 10:12:29
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gautric 2012-10-11 10:40:48 EDT
Description of problem:

If we setup a cluster and nodes have several network interface, 
you need to setup up cluster-url in /etc/qpidd.conf


Version-Release number of selected component (if applicable):
2.2

How reproducible:
setup VM/box w/ several network adapter


Steps to Reproduce:
1.
2.
3.
  
Actual results:



Expected results:


Additional info:

inspiration : https://issues.apache.org/jira/browse/QPID-3351
Comment 2 Leonid Zhaldybin 2014-04-02 12:18:32 EDT
The procedure 10.1 contains step 4, which instructs to use cluster-url option in case that cluster node has more than one network interface. However, there is no description of the --interface option in "4.3.2. General Broker options".
Comment 3 Joshua Wulf 2014-04-02 23:13:54 EDT
Sorry, my bad. 

--interface is only for MRG 3, ref: https://bugzilla.redhat.com/show_bug.cgi?id=572456.

and:

[root@localhost ~]# qpidd --version
qpidd (qpidc) version 0.18
[root@localhost ~]# qpidd --interface eth1
2014-04-03 13:11:54 [Broker] critical Unexpected error: Error in command line options: unknown option interface
Use --help to see valid options

So --interface was taken out of documentation for MRG 2.
Comment 4 Leonid Zhaldybin 2014-04-03 04:22:22 EDT
(In reply to Joshua Wulf from comment #3)
> --interface is only for MRG 3, ref:
> https://bugzilla.redhat.com/show_bug.cgi?id=572456.
> 
Sorry, forgot about that. However, I still see '--interface' option mentioned in the Revision History:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_MRG/2/html-single/Messaging_Installation_and_Configuration_Guide/index.html#appe-Publican-Revision_History

Note You need to log in before you can comment on or make changes to this bug.